Subject: RE: kernel version!

From: Jeff Sutherland <[email-masked]>
Date: Mon, 24 Jul 2000 14:15:07 -0400

> On Mon, 24 Jul 2000, John G Dorsey wrote:
> 
> > As far as I know, pcnet_cs with that device has not been 
> tried on a kernel
> > earlier than 2.3.99. This probably doesn't matter, however. 
> You could go and get
> > a recent PCMCIA Card Services and run it against a 2.2 
> kernel, which in all
> > likelihood would not behave differently from what you're 
> now seeing on Neponset.
> > 
> > I think that something is flaky with either the SA-1111 or the Nep
> > PCMCIA implementation. That card works just fine on 
> Assabet, but only comes
> > close to working on Neponset if you play tricks with the device I/O.

Trust me, it's the design of the Nep >:(

> It doesn't work perfectly on stand-alone Assabet either.

Huh?  News to me.  Mine works great, root filesystem NFS mounted, streaming
MP3's down the Ethernet all day long.  Better check you bootloader's memory
settings.  My old phase 1 Assabet is pretty sedate due to broken things
(main memory clocks at 1/4 cpu due to broken PLD for LCD, CPU fixed to
147MHz to make the 1394 codec work right, and so forth ad nausium...) so I
have a bit of timing margin.  You guys cranking up your processor clocks may
see flaky things happen, but that's life in the fast lane :D
 
> Just try to telnet into your Assabet and logout a couple of 
> times.  The
> sixth telnet or so just hang because tcpd on the Assabet goes nuts and
> stalls for still unknown reasons...  and I don't have the 
> time to trace it
> down at the moment.

Don't bother, Nicolas, I think it's your hardware.  I do this all day long,
leaving the little guy up for days at a time.

Now could someone clue me in as to what happened to the frame buffer driver
on the Assabet?  It was working fine back in the 2.3.99-pre-something days,
but lately I've noticed that every other scan line is blank even though the
screen geometry over all is correct (no, it's not hardware, the phase 4
Assabet does it, too).

X and MicroWindows don't find the touch screen.  "Error 2 opening touch
panel; Cannot initialise mouse" is what the nano-X driver says.  The major
number is assigned dynamically.  I stuck a device in /dev anyway and pointed
"mouse" to it, still no joy.  This one's a little light on documentation.
Hints, anyone, please?

Thanks!
//Jeff

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Joan LLuis Montore Parera <[email-masked]>
Date: Tue, 25 Jul 2000 09:00:15 +0200

Jeff Sutherland escribió:

> panel; Cannot initialize mouse" is what the nano-X driver says.  The major

Hi Jeff. I have had microwindows running on Assabet for days (unfortunately, I
am
now waiting for my final board and I can not do more tests). The touchscreen was

running without any problem (even not calibrated, a reduced version of minehunt
that I modified -10x10 board- worked perfectly.

In order to do so, I did this:
1.-  Compiled touchscreen driver in kernel (from 2.4.0-tes1-"some_patches" up to

2.4.0-test4-np1)
2.- Started assabet
3.- "cat /proc/devices" looking for sa1100_touch (or similar). Major number
found was 254.
4.- I then created 2 devices:
    mknod /dev/ts c 254 34
    mknod /dev/tsraw c 254 18 ( I do not know if this last one is necessary)
 After that, microwindows was able to find and use touchscreen.

I hope this helps.

Saludos (Best regards).
Joan Lluis Montore Parera
Director de Tecnología (Technology Mgr.)
ICT electronics SA  email:[email-masked]  web:www.ict.es